package cn.fastfun.controller.api;

import cn.fastfun.controller.dto.IndexStatDTO;
import com.bridge.dto.ApiDTO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

@Api(tags = {"首页工作台"})
@RequestMapping("/api/v1")
public class IndexController {


    @ApiOperation(value = "设备管理系统工作台")
    @PostMapping("stat")
    public ApiDTO index() {
        IndexStatDTO dto = new IndexStatDTO();
        return ApiDTO.ok(dto);
    }
}
