package cn.fastfun.controller.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 工作台统计信息
 */
@Setter
@Getter
public class IndexStatDTO {

    @ApiModelProperty(value = "电池总量", name = "batteryTotal")
    private long batteryTotal = 0;

    @ApiModelProperty(value = "配件总量", name = "partsTotal")
    private long partsTotal = 0;

    @ApiModelProperty(value = "今日录入", name = "todayEnter")
    private long todayEnter = 0;

    @ApiModelProperty(value = "今日入库", name = "todayPut")
    private long todayPut = 0;

    @ApiModelProperty(value = "历史电池出库", name = "historyOutBattery")
    private long historyOutBattery = 0;

    @ApiModelProperty(value = "历史配件出库", name = "historyOutParts")
    private long historyOutParts = 0;

    @ApiModelProperty(value = "历史处置", name = "historyHandle")
    private long historyHandle = 0;

    @ApiModelProperty(value = "库存", name = "stock")
    private long stock = 0;

    @ApiModelProperty(value = "库存故障", name = "stockFault")
    private long stockFault = 0;
}
