package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Getter;
import lombok.Setter;
import org.springframework.util.CollectionUtils;
import org.springframework.util.StringUtils;

import java.util.List;

@Getter
@Setter
public class LibraryInQueryParam extends QueryParam{


    @ApiModelProperty(value = "设备编号", name = "sn", required = false)
    private String sn;

    @ApiModelProperty(value = "自检状态", name = "checkStatus", example = "[], 0：未通过 ; 1:已通过;  空:全部")
    private List<Integer> checkStatus;


}
