package cn.fastfun.controller.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 页面设备统计
 */
@Setter
@Getter
public class DevicePageStatDTO {

    @ApiModelProperty(value = "设备总量", name = "total", required = true)
    private Long total = 0l;

    @ApiModelProperty(value = "未入库总量", name = "notInStorage", required = true)
    private Long notInStorage = 0l;

}
