package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.util.CollectionUtils;
import org.springframework.util.StringUtils;

import java.util.List;

@Setter
@Getter
public class DeviceOperateQueryParam extends QueryParam {

    @ApiModelProperty(value = "操作号", name = "operateID", required = true)
    public void setOperateID(Integer operateID) {
        addParam(QueryParamExp.eq("operateID", operateID));
    }

}
